org.apache.sysds.lops

## Enum WeightedDivMM.WDivMMType

- java.lang.Object
- - java.lang.Enum<WeightedDivMM.WDivMMType>
  - - org.apache.sysds.lops.WeightedDivMM.WDivMMType

All Implemented Interfaces:
  Serializable, Comparable<WeightedDivMM.WDivMMType>

Enclosing class:
  WeightedDivMM

    public static enum WeightedDivMM.WDivMMType
    extends Enum<WeightedDivMM.WDivMMType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`DIV_LEFT`
`DIV_LEFT_EPS`
`DIV_RIGHT`
`DIV_RIGHT_EPS`
`MULT_BASIC`
`MULT_LEFT`
`MULT_MINUS_4_LEFT`
`MULT_MINUS_4_RIGHT`
`MULT_MINUS_LEFT`
`MULT_MINUS_RIGHT`
`MULT_RIGHT`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`MatrixCharacteristics` `computeOutputCharacteristics(long Xrlen, long Xclen, long rank)`
`boolean` `hasFourInputs()`
`boolean` `hasScalar()`
`boolean` `isBasic()`
`boolean` `isLeft()`
`boolean` `isMinus()`
`boolean` `isMult()`
`boolean` `isRight()`
`static WeightedDivMM.WDivMMType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static WeightedDivMM.WDivMMType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### DIV_LEFT

    public static final WeightedDivMM.WDivMMType DIV_LEFT

#### DIV_RIGHT

    public static final WeightedDivMM.WDivMMType DIV_RIGHT

#### DIV_LEFT_EPS

    public static final WeightedDivMM.WDivMMType DIV_LEFT_EPS

#### DIV_RIGHT_EPS

    public static final WeightedDivMM.WDivMMType DIV_RIGHT_EPS

#### MULT_BASIC

    public static final WeightedDivMM.WDivMMType MULT_BASIC

#### MULT_LEFT

    public static final WeightedDivMM.WDivMMType MULT_LEFT

#### MULT_RIGHT

    public static final WeightedDivMM.WDivMMType MULT_RIGHT

#### MULT_MINUS_LEFT

    public static final WeightedDivMM.WDivMMType MULT_MINUS_LEFT

#### MULT_MINUS_RIGHT

    public static final WeightedDivMM.WDivMMType MULT_MINUS_RIGHT

#### MULT_MINUS_4_LEFT

    public static final WeightedDivMM.WDivMMType MULT_MINUS_4_LEFT

#### MULT_MINUS_4_RIGHT

    public static final WeightedDivMM.WDivMMType MULT_MINUS_4_RIGHT

### Method Detail

#### values

    public static WeightedDivMM.WDivMMType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (WeightedDivMM.WDivMMType c : WeightedDivMM.WDivMMType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static WeightedDivMM.WDivMMType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### isBasic

    public boolean isBasic()

#### isLeft

    public boolean isLeft()

#### isRight

    public boolean isRight()

#### isMult

    public boolean isMult()

#### isMinus

    public boolean isMinus()

#### hasFourInputs

    public boolean hasFourInputs()

#### hasScalar

    public boolean hasScalar()

#### computeOutputCharacteristics

    public MatrixCharacteristics computeOutputCharacteristics(long Xrlen,
                                                              long Xclen,
                                                              long rank)